Subject: Re: bug#5679: Emacs 23.1.93 pretest

From: <[email-masked]>
Date: Wed, 10 Mar 2010 15:12:37 +0300

YAMAMOTO Mitsuharu <[email-masked]> writes:

>>>>>> On Wed, 10 Mar 2010 14:29:59 +0300, <[email-masked]> said:
>
>>> Anyway, is `xterm -fa terminus:style=oblique' also broken?  If so,
>>> we can conclude this is not a bug at the Emacs side.
>
>> Yeah, this is broken as well. So please excuse my ignorance, but
>> where exactly the problem is?
>
> According to the experiments so far, it seems to be caused by Xft in
> addition to some conditions that are not yet sure (maybe library
> versions or settings?).
>
>> I.e., why emacs 22 renders it fine?  What is a work-around for emacs
>> 23?
>
> Emacs 22 uses the traditional text drawing aka X core fonts, and many
> GNOME and GTK+ applications use cairo rather than Xft.  A workaround
> would be to use the traditional text drawing as in Emacs 22 by
> preferring the X core font driver to the Xft one (see `fontBackend' in
> the "Table of X Resources for Emacs" node in the Emacs info).

OK, adding

Emacs.fontBackend:           x,xft,cairo

to my .Xdefaults fixed the problem, -- thanks a lot!

-- Sergei.